Bug 116336 - HYPERLINK() used in a cell with 'Wrap text automatically' links only for the first line.
Summary: HYPERLINK() used in a cell with 'Wrap text automatically' links only for the ...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.3.0 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Calc-Function Hyperlink-Calc
  Show dependency treegraph
 
Reported: 2018-03-10 14:15 UTC by Wolfgang Jäger
Modified: 2021-10-28 04:14 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Wolfgang Jäger 2018-03-10 14:15:06 UTC
Steps to reproduce:
In a virgin sheet with standard width for the first column set the attribute 'Wrap text automatically for A1. 
Enter the formula 
=HYPERLINK("https:documentfoundation.org";"Now a few words without a meaning.") into A1.
Optimal row height should wrap the displayed text in 4 lines. Only the first line ("Now a few") will provide the link.

Expected behaviour: The complete text returned by HYPERLINK allows to use the link.
Comment 1 m.a.riosv 2018-03-11 00:10:04 UTC
Works for me.
Version: 6.0.2.1 (x64)
Build ID: f7f06a8f319e4b62f9bc5095aa112a65d2f3ac89
CPU threads: 4; OS: Windows 10.0; UI render: default; 
Locale: es-ES (es_ES); Calc:
Comment 2 Wolfgang Jäger 2018-03-11 02:30:10 UTC
(In reply to m.a.riosv from comment #1)
> Works for me.
> Version: 6.0.2.1 (x64)
> Build ID: f7f06a8f319e4b62f9bc5095aa112a65d2f3ac89
> CPU threads: 4; OS: Windows 10.0; UI render: default; 
> Locale: es-ES (es_ES); Calc:

Does this mean you have the link also clickable in the second and susequent lines of the wrapped cell? Could you supply a file damonstrating this? 

I cannot easily believe that this depends on language settings. 

(Mine are English (UK) for UI and locale, changing languages for documents. (For Calc I often choose Esperanto.)
Comment 3 m.a.riosv 2018-03-11 13:58:17 UTC
Sorry you are right only the first line is clickable.
Version: 6.0.2.1 (x64)
Build ID: f7f06a8f319e4b62f9bc5095aa112a65d2f3ac89
CPU threads: 4; OS: Windows 10.0; UI render: default; 
Locale: es-ES (es_ES); Calc:
Comment 4 QA Administrators 2019-10-28 03:29:34 UTC Comment hidden (obsolete)
Comment 5 Wolfgang Jäger 2019-10-28 22:29:33 UTC
Tested with V 6.3.3.2  
Behaviour unchanged.
Comment 6 QA Administrators 2021-10-28 04:14:51 UTC
Dear Wolfgang Jäger,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug